/**
 * Entity
 * Anything with an X and Y
 */
export class Entity {
  x;
  y;
  constructor(x = 0, y = 0) {
    this.x = x;
    this.y = y;
  }
}

/**
 * Sprite
 * Anything that can be drawn to the screen
 */
export class Sprite extends Entity {
  constructor(x = 0, y = 0) {
    super(x, y)
  }

  draw() {
  }
}